package com.bonus.common.houqin.mq.rabbit.tx;

import org.springframework.amqp.rabbit.connection.CorrelationData;

public class PreparedCorrelationData extends CorrelationData {
   private final boolean prepared;

   public PreparedCorrelationData(String id, boolean prepared) {
      super(id);
      this.prepared = prepared;
   }

   public boolean isPrepared() {
      return this.prepared;
   }
}
